Skip to main content
GET
Get studio order refund eligibility

Authorizations

Authorization
string
header
required

Batch Relay scoped API key or an anonymous Test Mode session. Scope names document required capabilities. Anonymous sessions are sandbox-only and do not authorize studio, event, billing, or Live Mode operations.

Headers

X-BatchRelay-Delegated-Authorization
string

Original delegated Clerk OAuth bearer. Go independently verifies signature/current revocation, exact resource audience, allowed OAuth client and action scope. Caller must match attributed API key creator. Never send an unverified subject header.

X-BatchRelay-Client-Surface
string

Untrusted optional analytics hint naming the calling client surface. It never affects authorization, routing, pricing, or behavior.

Required string length: 1 - 100
X-BatchRelay-Client-Version
string

Untrusted optional analytics hint naming the calling client version. It never affects authorization, routing, pricing, or behavior.

Required string length: 1 - 100
X-BatchRelay-Invocation-Mode
string

Untrusted optional analytics hint naming the invocation mode. It never affects authorization, routing, pricing, or behavior.

Required string length: 1 - 100

Path Parameters

studio_id
string
required

Opaque public studio_id. Private Convex IDs are rejected.

order_id
string
required

Opaque public order_id. Private Convex IDs are rejected.

Response

Authoritative Studio result

already_refunded_cents
integer<int64>
required
approval_reserved_cents
integer<int64>
required
blockers
string[]
required
currency
string
required
customer_id
string
required
delivery_effect
string
required
destination
string
required
eligible
boolean
required
financial_revision
string
required
order_id
string
required
original_paid_cents
integer<int64>
required
pending_cents
integer<int64>
required
remaining_cents
integer<int64>
required